#include <iostream>
#include "rplot.h"


int
main(int argc, char **argv)
{
  RFont *font;
  RFontLoader *font_loader;
  char *xfs = "";
  int font_size = 12;
  int medium_font_size = 11;
  int small_font_size = 8;

  try {
    font_loader = new RFontLoader(xfs, true);
    font_loader->verbose(true);
    font = font_loader->load(small_font_size,
			     string("helvetica"),
			     string("medium"),
			     string("r"),
			     string("adobe"));
    font->save_to_cpp_file();
    font = font_loader->load(font_size,
			     string("helvetica"),
			     string("medium"),
			     string("r"),
			     string("adobe"));
    font->save_to_cpp_file();
    font = font_loader->load(font_size,
			     string("helvetica"),
			     string("medium"),
			     string("o"),
			     string("adobe"));
    font->save_to_cpp_file();
    font = font_loader->load(font_size,
			     string("helvetica"),
			     string("bold"),
			     string("r"),
			     string("adobe"));
    font->save_to_cpp_file();
    font = font_loader->load(font_size,
			     string("helvetica"),
			     string("bold"),
			     string("o"),
			     string("adobe"));
    font->save_to_cpp_file();
    font = font_loader->load(medium_font_size,
			     string("helvetica"),
			     string("medium"),
			     string("r"),
			     string("adobe"));
    font->save_to_cpp_file();
    font = font_loader->load(medium_font_size,
			     string("helvetica"),
			     string("medium"),
			     string("o"),
			     string("adobe"));
    font->save_to_cpp_file();
    font = font_loader->load(medium_font_size,
			     string("helvetica"),
			     string("bold"),
			     string("r"),
			     string("adobe"));
    font->save_to_cpp_file();
    font = font_loader->load(medium_font_size,
			     string("helvetica"),
			     string("bold"),
			     string("o"),
			     string("adobe"));
    font->save_to_cpp_file();
  }
  catch  (const char * error_message) {
    cerr << error_message << endl;
    return 1;
  }

}
